package domain


type AlibabaWdkSkuChannelskuQueryChannelSkuQueryDo struct {
    /*
        门店或DC编码     */
    OuCode  *string `json:"ou_code,omitempty" `

    /*
        skucode集合     */
    SkuCodes  *[]string `json:"sku_codes,omitempty" `

    /*
        渠道编码（默认-1） defalutValue:-1    */
    ChannelCode  *int64 `json:"channel_code,omitempty" `

    /*
        出货仓（默认为店仓一体，仓编码为店编码）     */
    DeliverWarehouse  *string `json:"deliver_warehouse,omitempty" `

    /*
        客户商家编码     */
    CustomerMerchantCode  *string `json:"customer_merchant_code,omitempty" `

}

func (s *AlibabaWdkSkuChannelskuQueryChannelSkuQueryDo) SetOuCode(v string) *AlibabaWdkSkuChannelskuQueryChannelSkuQueryDo {
    s.OuCode = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuQueryChannelSkuQueryDo) SetSkuCodes(v []string) *AlibabaWdkSkuChannelskuQueryChannelSkuQueryDo {
    s.SkuCodes = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuQueryChannelSkuQueryDo) SetChannelCode(v int64) *AlibabaWdkSkuChannelskuQueryChannelSkuQueryDo {
    s.ChannelCode = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuQueryChannelSkuQueryDo) SetDeliverWarehouse(v string) *AlibabaWdkSkuChannelskuQueryChannelSkuQueryDo {
    s.DeliverWarehouse = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuQueryChannelSkuQueryDo) SetCustomerMerchantCode(v string) *AlibabaWdkSkuChannelskuQueryChannelSkuQueryDo {
    s.CustomerMerchantCode = &v
    return s
}
